Name: icingadb
Version: 1.2.0
Release: 1.fc41
Summary: Icinga configuration and state database supporting multiple environments

Group: Productivity/Databases/Daemons

License: GPLv2

URL: https://icinga.com
Source0: icingadb-1.2.0.tgz
Source1: icingadb.service

BuildRequires: gcc
BuildRequires: systemd-rpm-macros

Requires(pre): shadow-utils

%description
Icinga DB is a set of components for publishing, synchronizing and
visualizing monitoring data in the Icinga ecosystem.
This is the Icinga DB daemon, which synchronizes monitoring data
between a Redis® server and a database.

%define debug_package %{nil}

%prep
%autosetup

%build
go build -buildvcs=false -trimpath -o . ./cmd/...

%install
install -Dpm 0755 icingadb %_topdir/BUILD/icingadb-1.2.0-build/BUILDROOT/usr/sbin/icingadb
install -Dpm 0755 icingadb-migrate %_topdir/BUILD/icingadb-1.2.0-build/BUILDROOT/usr/sbin/icingadb-migrate
install -dm 0750 %_topdir/BUILD/icingadb-1.2.0-build/BUILDROOT/etc/icingadb
install -pm 0640 config.example.yml %_topdir/BUILD/icingadb-1.2.0-build/BUILDROOT/etc/icingadb/config.yml
install -Dpm 0644 %_topdir/SOURCES/icingadb.service %_topdir/BUILD/icingadb-1.2.0-build/BUILDROOT/usr/lib/systemd/system/icingadb.service

install -dm 0755 %_topdir/BUILD/icingadb-1.2.0-build/BUILDROOT/usr/share/icingadb
cp -rv schema %_topdir/BUILD/icingadb-1.2.0-build/BUILDROOT/usr/share/icingadb/

%pre
getent passwd icingadb >/dev/null || useradd -rU -d /etc/icingadb -s /sbin/nologin icingadb

%post

if [ $1 -eq 1 ] && [ -x "/usr/lib/systemd/systemd-update-helper" ]; then
/usr/lib/systemd/systemd-update-helper install-system-units icingadb.service || :
fi

%preun

if [ $1 -eq 0 ] && [ -x "/usr/lib/systemd/systemd-update-helper" ]; then
/usr/lib/systemd/systemd-update-helper remove-system-units icingadb.service || :
fi

%postun

if [ $1 -ge 1 ] && [ -x "/usr/lib/systemd/systemd-update-helper" ]; then
/usr/lib/systemd/systemd-update-helper mark-restart-system-units icingadb.service || :
fi

%files
%doc README.md
%license LICENSE
/usr/sbin/icingadb
/usr/sbin/icingadb-migrate
/usr/lib/systemd/system/icingadb.service
/usr/share/icingadb/schema

%attr(-, icingadb, root) /etc/icingadb
%attr(-, icingadb, root) %config(noreplace) /etc/icingadb/config.yml

%changelog
* Fri Nov 15 2024 Icinga GmbH <info@icinga.com> - 1.2.0-1.fc41
- Version 1.2.0-1

